petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFECreate

Creates an empty PetscFE object. The type can then be set with PetscFESetType().

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreate(MPI_Comm comm, PetscFE *fem)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the PetscFE object

### Output Parameter

fem -The PetscFE object

### See Also

PetscFESetType(), PETSCFEGALERKIN

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

PetscFECreate_Basic in src/dm/dt/fe/impls/basic/febasic.c
PetscFECreate_Composite in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFECreate_OpenCL in src/dm/dt/fe/impls/opencl/feopencl.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages